import React from 'react';


export default class ErrorCard extends React.Component {

    render(){
        return (
            <div class="card bg-danger text-white mb-3 error">
                <div class="card-header">Error</div>
                <div class="card-body">
                    <p class="card-text mono">{this.props.message}</p>
                </div>
            </div>
        );
    }
}

ErrorCard.defaultProps = {
    message: 'A not further explained error happened.'
};