import React from 'react';


export default class Image extends React.Component {

    render(){
        var render = null;
        if(this.props.title){
            render = (
                <figure class="figure">
                    <img src={this.props.src} class="figure-img img-fluid rounded" alt={this.props.alt} />
                    <figcaption class="figure-caption">{this.props.title}</figcaption>
                </figure>
            );
        } else {
            render = (
                <img src={this.props.src} class="img-fluid" alt={this.props.alt} />
            );
        }
        return render;
    }
}

Image.defaultProps = {
    title: false,
    src: '',
    alt: ''
};