import React from 'react';


export default class Link extends React.Component {

    render(){
        var link = null;
        var href = '';
        var tmp = this.props.href.split(':');
        if(tmp.length == 0){
            link = <a href={this.props.href}>{this.props.children}</a>;
        } else {
            href = tmp.slice(1).join(':');
            switch(tmp[0]){
                case 'button':
                    link = <a class="btn btn-primary" href={href} target="_blank">{this.props.children}</a>;
                    break;
                default:
                    link = <a href={this.props.href} target="_blank">{this.props.children}</a>;
                    break;
            }
        }
        return link;
    }
}