import React from 'react';
import Icon from '../../components/Icon.js';


export default class Heading extends React.Component {

    render(){
        const Level = `h${this.props.level}`;
        var link = encodeURI(this.props.children);
        return (
            <Level id={link}>
                {this.props.children}
                <a class="anchor" href={'#'+link}><Icon>link</Icon></a>
            </Level>
        );
    }
}